<%@ page language="java" %>
<%@ page import="com.ora.jsp.sql.*" %>
<%@ taglib uri="/orataglib" prefix="ora" %>

<%-- Remove the validUser session bean, if any --%>
<%  session.removeValue("validUser"); %>

<% 
  if (request.getParameter("userName").length() == 0 ||
      request.getParameter("password").length() == 0) { 
%>

     <ora:redirect page="login.jsp" >
       <ora:param name="errorMsg" 
         value="You must enter a User Name and Password." />
     </ora:redirect>

<% } %>

<%-- 
  See if the user name and password combination is valid. If not,
  redirect back to the login page with a message.
--%>
<ora:useDataSource id="example" 
  className="sun.jdbc.odbc.JdbcOdbcDriver" 
  url="jdbc:odbc:example" />

<ora:sqlQuery id="empInfo" dataSource="example">
  SELECT * FROM Employee 
    WHERE UserName = ? AND Password = ?
  <ora:sqlStringValue param="userName" />
  <ora:sqlStringValue param="password" />
</ora:sqlQuery>

<% if (empInfo.size() == 0) { %>

     <ora:redirect page="login.jsp" >
       <ora:param name="errorMsg" 
         value="The User Name and Password you entered is not valid." />
     </ora:redirect>

<% } else { %>

     <%--    
       Create an EmployeeBean and save it in 
       the session scope and redirect to the appropriate page.
     --%>
     <% Row oneRow = (Row) empInfo.firstElement();  %>

     <jsp:useBean id="validUser" scope="session"
       class="com.ora.jsp.beans.emp.EmployeeBean" >
       <jsp:setProperty name="validUser" property="userName" 
         value='<%= oneRow.getString("UserName") %>' />
       <jsp:setProperty name="validUser" property="firstName" 
         value='<%= oneRow.getString("FirstName") %>' />
       <jsp:setProperty name="validUser" property="lastName" 
         value='<%= oneRow.getString("LastName") %>' />
       <jsp:setProperty name="validUser" property="dept" 
         value='<%= oneRow.getString("Dept") %>' />
       <jsp:setProperty name="validUser" property="empDate" 
         value='<%= oneRow.getString("EmpDate") %>' />
       <jsp:setProperty name="validUser" property="emailAddr" 
         value='<%= oneRow.getString("EmailAddr") %>' />
     </jsp:useBean>

     <%-- Add the projects --%>
     <ora:sqlQuery id="empProjects" dataSource="example">
       SELECT * FROM EmployeeProjects 
         WHERE UserName = ?
       <ora:sqlStringValue param="userName" />
     </ora:sqlQuery>

     <% 
       String[] projects = new String[empProjects.size()]; 
       int i = 0;
     %>
     <ora:loop name="empProjects" loopId="row" 
       className="com.ora.jsp.sql.Row" >
       <% projects[i++] = row.getString("ProjectName"); %>
     </ora:loop>
       
     <jsp:setProperty name="validUser" property="projects" 
      value="<%= projects %>" />

     <% if (request.getParameter("remember") != null) { %>

          <ora:addCookie name="userName" 
            value='<%= request.getParameter("userName") %>'
            maxAge="2592000" />
          <ora:addCookie name="password" 
            value='<%= request.getParameter("password") %>'
           maxAge="2592000" />

     <% } else { %>

          <ora:addCookie name="userName" 
            value='<%= request.getParameter("userName") %>'
            maxAge="0" />
          <ora:addCookie name="password" 
            value='<%= request.getParameter("password") %>'
            maxAge="0" />
     <% } %>
   
     <%-- 
       Redirect to the main page or to the original URL, if
       invoked as a result of a access attempt to a protected
       page.
     --%>
     <% if (request.getParameter("origURL").length() != 0) { %>
          <ora:redirect 
            page='<%= request.getParameter("origURL") %>' />
     <% } else { %>
          <ora:redirect page="main.jsp" />
     <% } %>


<% } %>
