<%@ page language="java" contentType="text/html" %>
<%@ page import="com.ora.jsp.beans.news.*" %>
<%@ page import="com.ora.jsp.util.*" %>
<%@ taglib uri="/orataglib" prefix="ora" %>
<html>
  <head>
    <title>Project Billboard</title>
  </head>
  <body bgcolor="white">

    <%-- Verify that the user is logged in --%>
    <ora:validateSession name="validUser"
      loginPage="login.jsp" errorMsg="Please log in first." />

    <jsp:useBean id="validUser" scope="session"
       class="com.ora.jsp.beans.emp.EmployeeBean" />

    <h1>Welcome <%= validUser.getFirstName() %></h1>
    Your profile currently shows you like information about the 
    following checked-off projects. If you like to update your
    profile, make the appropriate changes below and click 
    Update Profile.
    <form action="updateprofile.jsp" method="post">
      <input type="checkbox" name="projects" value="JSP"
        <%= ArraySupport.contains(validUser.getProjects(), "JSP") ? 
              "checked" : "" %> >JSP<br>
      <input type="checkbox" name="projects" value="Servlet"
        <%= ArraySupport.contains(validUser.getProjects(), "Servlet") ?
              "checked" : "" %> >Servlet<br>
      <input type="checkbox" name="projects" value="EJB"
        <%= ArraySupport.contains(validUser.getProjects(), "EJB") ?
              "checked" : "" %> >EJB<br>
      <input type="submit" value="Update Profile">
    </form>
    <hr>

    When you're done reading the news, please <a href="logout.jsp">
    log out</a>.

    <hr>
    <a href=entermsg.jsp>Post a new message</a>
    <p>

    <jsp:useBean id="news" scope="application"
      class="com.ora.jsp.beans.news.NewsBean" />

    <% 
      NewsItemBean[] newsItems = 
        news.getNewsItems(validUser.getProjects());
      pageContext.setAttribute("newsItems", newsItems);
    %>
    
    <table>
      <ora:loop name="newsItems" loopId="newsItem" 
        className="com.ora.jsp.beans.news.NewsItemBean" >
        <tr>
          <td colspan="2">
            Project: 
              <jsp:getProperty name="newsItem" property="category" />
          </td>
        </tr>
        <tr>
          <td>
            <jsp:getProperty name="newsItem" property="postedBy" />
          </td>
          <td>
            <jsp:getProperty name="newsItem" property="postedDate" />
          </td>
        </tr>
        <tr>
          <td colspan="2">
            <jsp:getProperty name="newsItem" property="msg" />
          </td>
        </tr>
        <tr>
          <td colspan="2"><hr></td>
        </tr>
      </ora:loop>
    </table>
  </body>
</html>